
import com.imsl.stat.*;

public class SummaryEx1 {

    static final double data1[] = {
        3, 6.4, 2, 1.6, -8, 12, -7, 6.4, 22, 1, 0, -3.2
    };

    public static void main(String args[]) {
        Summary summary = new Summary();
        summary.update(data1);

        System.out.println("The minimum is " + summary.getMinimum());
        System.out.println();

        System.out.println("The maximum is " + summary.getMaximum());
        System.out.println();

        System.out.println("The mean is " + summary.getMean());
        System.out.println();

        System.out.println("The variance is " + summary.getVariance());
        System.out.println();

        System.out.println("The sample variance is "
                + summary.getSampleVariance());
        System.out.println();

        System.out.println("The standard deviation is "
                + summary.getStandardDeviation());
        System.out.println();

        System.out.println("The skewness is " + summary.getSkewness());
        System.out.println();

        System.out.println("The kurtosis is " + summary.getKurtosis());
        System.out.println();

        double confmn[] = summary.confidenceMean(0.95);
        System.out.println("The confidence Mean is {" + confmn[0]
                + ", " + confmn[1] + "}");
        System.out.println();

        double confvr[] = summary.confidenceVariance(0.95);
        System.out.println("The confidence Variance is {" + confvr[0]
                + ", " + confvr[1] + "}");
    }
}
